| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | Protected Attributes | List of all members
SbVec2ub Class Reference

`#include <Inventor/SbVec2ub.h>`

## Public Member Functions

| SbVec2ub (const uint8_t v[2])
| SbVec2ub (uint8_t x, uint8_t y)
| SbVec2ub (const SbVec2b &v)
| SbVec2ub (const SbVec2us &v)
| SbVec2ub (const SbVec2ui32 &v)
SbVec2ub & | setValue (const uint8_t v[2])
SbVec2ub & | setValue (uint8_t x, uint8_t y)
SbVec2ub & | setValue (const SbVec2b &v)
SbVec2ub & | setValue (const SbVec2us &v)
SbVec2ub & | setValue (const SbVec2ui32 &v)
const uint8_t * | getValue (void) const
void | getValue (uint8_t &x, uint8_t &y) const
uint8_t & | operator[] (int i)
const uint8_t & | operator[] (int i) const
int32_t | dot (SbVec2ub v) const
void | negate (void)
SbVec2ub & | operator*= (int d)
SbVec2ub & | operator*= (double d)
SbVec2ub & | operator/= (int d)
SbVec2ub & | operator/= (double d)
SbVec2ub & | operator+= (SbVec2ub v)
SbVec2ub & | operator-= (SbVec2ub v)
SbVec2ub | operator- (void) const

## Protected Attributes

uint8_t | vec [2]

## Detailed Description

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec2ub.h
- SbVec2ub.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.